SPECS: repackage.sh - do not require specfile being first argument
glen
glen at pld-linux.org
Sat Apr 12 18:45:07 CEST 2008
Author: glen Date: Sat Apr 12 16:45:07 2008 GMT
Module: SPECS Tag: HEAD
---- Log message:
- do not require specfile being first argument
---- Files affected:
SPECS:
repackage.sh (1.26 -> 1.27)
---- Diffs:
================================================================
Index: SPECS/repackage.sh
diff -u SPECS/repackage.sh:1.26 SPECS/repackage.sh:1.27
--- SPECS/repackage.sh:1.26 Mon Mar 3 21:39:21 2008
+++ SPECS/repackage.sh Sat Apr 12 18:45:02 2008
@@ -28,7 +28,6 @@
set -x
/usr/bin/rpmbuild \
${TARGET:+--target $TARGET} \
- $BCONDS \
--short-circuit \
--define 'clean %%%{!?__ldconfig:clean}%{?__ldconfig:check} \
exit 0%{nil}' \
@@ -62,19 +61,14 @@
shift
done
set -x
- eval rpm-specdump $a
+ eval rpm-specdump $a || echo >&2 $?
}
-specfile="${1%.spec}.spec"; shift
-set -- "$specfile" "$@"
-
tmp=$(specdump "$@" | awk '$2 == "_target_cpu" {print $3}')
if [ "$tmp" ]; then
TARGET="$tmp"
fi
-BCONDS=$(./builder -nn -ncs --show-bcond-args $specfile)
-
# just create the rpm's if -bb is somewhere in the args
if [[ *$@* != *-bb* ]]; then
rpmbuild -bi "$@"
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SPECS/repackage.sh?r1=1.26&r2=1.27&f=u
More information about the pld-cvs-commit
mailing list